---
name: Bug report
about: Create a report to help us improve

---
You can use the `Preview` tab ^ above to see final rendering of your report. Use `x` in brackets ([x]) to "check" a checkbox.

If you just have a question, please ask first in the user chatroom in Matrix: [`#gadgetbridge:matrix.org`](https://matrix.to/#/#gadgetbridge:matrix.org)


#### Before reporting a bug, please confirm the following:
- [ ] I have read the [wiki](https://codeberg.org/Freeyourgadget/Gadgetbridge/wiki), and I didn't find a solution to my problem / an answer to my question.
- [ ] I have searched the [issues](https://codeberg.org/Freeyourgadget/Gadgetbridge/issues), and I didn't find a solution to my problem / an answer to my question.
- [ ] If you upload an image or other content, please make sure you have read and understood the [Codeberg Terms of Use](https://codeberg.org/Codeberg/org/src/branch/main/TermsOfUse.md)

### Where did you get Gadgetbridge from:
* [ ] F-Droid
* [ ] Gadgetbridge Nightly F-Droid repository
* [ ] Bangle.js Gadgetbridge from the Play Store
* [ ] I built it myself from source code (specify tag / commit)
* [ ] I previously used Gadgetbridge from other sources and then updated to F-Droid version

### Your Gadgetbridge version is:

(This can be found in Gadgetbridge - Menu - About: Version and Commit)

#### Your issue is:
*If possible, please attach [logs](https://codeberg.org/Freeyourgadget/Gadgetbridge/wiki/Log-Files)! that might help identifying the problem.*
*Long logs can be also included but make sure to tuck them into the `details` tag:*

<details>
  <summary>Click to see my log under this fold</summary>

```
Here go lines of your log.
```
</details>


#### Your wearable device is:

*Please specify model and firmware version if possible*

#### Your Android version/manufacturer flavor is:


*New issues about already solved/documented topics could be closed without further comments. Same for too generic or incomplete reports.*

Please use `Preview` tab above to see final rendering of your report before submitting.
