---
name: Device request
about: Request for a new device
labels:
- device request
---

You are trying to submit a request for a device implementation into Gadgetbridge. We cannot make any promise that the device will be implemented, as adding an implementation for a new device requires either an experienced or a willing to learn developer, ideally with the device at hand. Without that, you may try to submit a device request and see if anyone steps up and implements it and you are basically indicating that you have the device and are willing to help with testing, should anyone try to add this device to Gadgetbridge.

You can use the `Preview` tab ^ above to see final rendering of your report. Use `x` in brackets ([x]) to "check" a checkbox.

#### Before proceeding further, please confirm the following:
- [ ] I have read the [wiki](https://codeberg.org/Freeyourgadget/Gadgetbridge/wiki), and I didn't find this device mentioned there
- [ ] I have searched the [issues](https://codeberg.org/Freeyourgadget/Gadgetbridge/issues), and I didn't find this device mentioned there
- [ ] Please make sure you have read and understood the [Codeberg Terms of Use](https://codeberg.org/Codeberg/org/src/branch/main/TermsOfUse.md)

#### Device information

- Provide device name, manufacturer and similarity to other devices:


- Ideally, use an Android Bluetooth scanner app like nRF Connect or BLExplorer and provide screenshots of the scanned device from that app. This provides a name and some available UUIDs, which are needed for implementation. You may want to blur a MAC address for privacy reasons.


- Specify model and firmware version if possible:


- Please let us know if you have the device and if you are able to provide logs and testing:


- If you want to help getting this device supported (and thus speed up the process), please take a look at:
    - what you can do as a user: [Support for a new Device](https://codeberg.org/Freeyourgadget/Gadgetbridge/wiki/Support-for-a-new-Device)
    - if you are a developer and could maybe even help getting the code ready: [New Device Tutorial](https://codeberg.org/Freeyourgadget/Gadgetbridge/wiki/New-Device-Tutorial)

- If possible, please attach [logs](https://codeberg.org/Freeyourgadget/Gadgetbridge/wiki/Log-Files)! which might help to implement the device support into Gadgetbridge.
*Long logs can be also included in the text but make sure to tuck them into the `details` tag below:*

<details>
  <summary>Click to see my log under this fold</summary>

```
Here go lines of your log.
```
</details>




*New issues about already solved/documented topics could be closed without further comments. Same for too generic or incomplete reports.*

Please use `Preview` tab above to see final rendering of your report before submitting.
